Bug 832693 - glusterfs-3.2.6-2 segfaults
glusterfs-3.2.6-2 segfaults
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.2.6
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 12:29 EDT by Carl Byington
Modified: 2015-12-01 11:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 11:02:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
abrt traceback (420.54 KB, application/octet-stream)
2012-06-16 12:29 EDT, Carl Byington
no flags Details

  None (edit)
Description Carl Byington 2012-06-16 12:29:00 EDT
Created attachment 592323 [details]
abrt traceback

Description of problem:
gluster segfaults


Version-Release number of selected component (if applicable):
glusterfs-3.2.6-2.fc17.x86_64


How reproducible:
Always.


Steps to Reproduce:
yum -y install wget fuse fuse-libs glusterfs glusterfs-fuse glusterfs-server
systemctl enable glusterd.service
systemctl start glusterd.service
mkdir /mnt/brick{1..4}
mkdir /mnt/cluster
gluster volume create mediacluster replica 2 transport tcp \
    host43.byington.org:/mnt/brick1 \
    host43.byington.org:/mnt/brick2
gluster volume start mediacluster


Actual results:
Connection failed. Please check if gluster daemon is operational.

Expected results:
volume should start and be available


Additional info:

#############
#systemctl restart glusterd.service
#gluster volume info all

Volume Name: mediacluster
Type: Replicate
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: host43.byington.org:/mnt/brick1
Brick2: host43.byington.org:/mnt/brick2

gluster volume stop mediacluster
Stopping volume will make its data inaccessible. Do you want to continue? (y/n) y
Connection failed. Please check if gluster daemon is operational.

###########
#systemctl restart glusterd.service
#gluster volume info all

Volume Name: mediacluster
Type: Replicate
Status: Stopped
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: host43.byington.org:/mnt/brick1
Brick2: host43.byington.org:/mnt/brick2


Attempts to start or stop the volume cause glusterd to segfault. Restarting the service shows the volume has been started or stopped, but it won't mount - same segfault.
Comment 1 Carl Byington 2012-06-16 12:35:51 EDT
The glusterd.service is running on host43.byington.org, talking to two bricks on the same machine:

Brick1: host43.byington.org:/mnt/brick1
Brick2: host43.byington.org:/mnt/brick2
Comment 2 Robert Middleswarth 2012-06-16 14:18:44 EDT
I am seeing this as well.
Comment 3 Carl Byington 2012-06-16 23:50:07 EDT
Correction - the volume will mount.

Workaround:

gluster volume create mediacluster replica 2 transport tcp \
    host43.byington.org:/mnt/brick1 \
    host43.byington.org:/mnt/brick2
gluster volume start mediacluster
--- dies but just restart it.
systemctl restart glusterd.service
gluster volume info all; # that works
mount /mnt/cluster ... ; # and it mounts after a glusterd restart

Essentially, volume operations (start, stop, sync) all segfault glusterd, but a simple restart of glusterd.service works, and the volume operation has actually completed; and at that point a mount will work.
Comment 4 Fedora Admin XMLRPC Client 2013-01-18 10:13:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Kaleb KEITHLEY 2013-04-01 11:02:40 EDT
old, seems to not be a problem in later versions.

Note You need to log in before you can comment on or make changes to this bug.